package org.mentalog.config;

public class StringsConfigParam extends ConfigParam<String[]> {

	public StringsConfigParam(String name, String defValue) {
		super(name, toArray(defValue));
	}
	
	private final static String[] toArray(String s) {
		if (s == null) return null;
		return s.split("\\s*,\\s*");
	}

	@Override
	protected String[] parseString(String s) {
		return toArray(s);
	}

	public String[] values() {
		return value();
	}
	
	public void set(String value) {
		super.set(toArray(value));
	}
}