package org.mentalog.util;

import org.mentalog.Log;
import org.mentalog.LogEvent;

public class LogEventUtils {

	private static volatile boolean isSynchronized;
	private static ThreadLocal<LogEvent> threadLocal;
	private static final LogEvent singleLogEvent = new LogEvent();

	static {
		threadLocal = new ThreadLocal<LogEvent>() {
			@Override
			protected LogEvent initialValue() {
				return new LogEvent();
			}
		};

		isSynchronized = Log.isSynchronized();
	}

	public final static LogEvent getLogEvent() {
		if (isSynchronized) {
			return threadLocal.get();
		} else {
			return singleLogEvent;
		}
	}
}
